package xyz.leomurca.csgomatches.ui.navigation

import androidx.navigation.NavGraphBuilder
import androidx.navigation.compose.composable
import androidx.navigation.toRoute
import kotlinx.serialization.Serializable
import xyz.leomurca.csgomatches.domain.model.Match
import xyz.leomurca.csgomatches.ui.screens.matches.MatchesScreen

@Serializable
object MatchesRoute

fun NavGraphBuilder.matchesScreen(onTapCard: (DetailsRoute) -> Unit) {
    composable<MatchesRoute> {
        MatchesScreen(onTapCard = onTapCard)
    }
}